comment "Qualcomm Atheros CLD WLAN module"

config QCA_CLD_WLAN

	tristate "Qualcomm Atheros CLD WLAN module"
	default n
	help
	Add support for the Qualcomm Atheros CLD WLAN module

if QCA_CLD_WLAN != n

config QCACLD_WLAN_LFR3
	bool "Enable the WLAN Legacy Fast Roaming feature Version 3"
	default n

config WLAN_FEATURE_FILS
	bool "Enable FILS Feature (11ai)"
	default n

config PRIMA_WLAN_OKC
	bool "Enable the Prima WLAN Opportunistic Key Caching feature"
	default n

config PRIMA_WLAN_11AC_HIGH_TP
	bool "Enable the Prima WLAN 802.11ac High Throughput option (depends upon kernel support)"
	default n

config WLAN_FEATURE_11W
	bool "Enable the WLAN 802.11w Protected Management Frames feature"
	default n

config WLAN_FEATURE_LPSS
	bool "Enable the WLAN LPSS feature"
	default n

config QCOM_VOWIFI_11R
	bool "Enable Fast Transition (11r) feature"
	default n

config QCACLD_FEATURE_NAN
	bool "Enable NAN feature"
	default n

config WLAN_FEATURE_NAN_DATAPATH
	bool "Enable NaN Data Path feature"
	depends on QCACLD_FEATURE_NAN
	default n

config QCACLD_FEATURE_GREEN_AP
	bool "Enable Green AP feature"
	default n

config QCACLD_FEATURE_METERING
	bool "Enable feature metering"
	default n

config HELIUMPLUS
	bool "Enable Beeliner based descriptor structures for Helium"
	default n

config 64BIT_PADDR
	bool "Enable 37-bit physical/bus addresses"
	depends on HELIUMPLUS
	default n

config QCOM_TDLS
	bool "Enable TDLS feature"
	default n

config QCOM_LTE_COEX
	bool "Enable QCOM LTE Coex feature"
	default n

config MPC_UT_FRAMEWORK
	bool "Enable Unit test framework for multiport concurrency"
	default n

config WLAN_OFFLOAD_PACKETS
	bool "Enable offload packets feature"
	default n

config FEATURE_TSO
	bool "Enable TCP Segmentation Offload"
	depends on HELIUMPLUS
	default n

config FEATURE_TSO_DEBUG
	bool "Enable TCP Segmentation Offload with debug"
	depends on FEATURE_TSO
	default n

config WLAN_FASTPATH
	bool "Enable fastpath for datapackets"
	default n

config WLAN_NAPI
	bool "Enable NAPI - datapath rx"
	default n

config WLAN_NAPI_DEBUG
       bool "Enable debug logging on NAPI"
       depends on WLAN_NAPI
       default n

config WLAN_TX_FLOW_CONTROL_V2
	bool "Enable tx flow control version:2"
	default n

config WLAN_LRO
	bool "Enable Large Receive Offload"
	depends on HELIUMPLUS
	depends on INET_LRO
	default n

config WLAN_SYNC_TSF
	bool "Enable QCOM sync multi devices tsf feature"
	default n

config LFR_SUBNET_DETECTION
	bool "Enable LFR Subnet Change Detection"
	default n

config MCC_TO_SCC_SWITCH
	bool "Enable MCC to SCC Switch Logic"
	default n

config QCACLD_WLAN_LFR2
	bool "Enable the WLAN Legacy Fast Roaming feature Version 2"
	default n

config WLAN_FEATURE_DISA
	bool "Enable DISA certification feature"
	default n

config WLAN_SPECTRAL_SCAN
	bool "Enable Spectral Scan feature"
	default n

config ICMP_DISABLE_PS
	bool "Enable ICMP packet disable powersave feature"
	default n

config CONFIG_BUILD_TIMESTAMP
	bool "Embed timestamp in wlan version"
	default n

config WLAN_FEATURE_SARV1_TO_SARV2
	bool "Enable conversion of SAR v1 to v2 feature"
	default n

config WLAN_POWER_DEBUGFS
	bool "Enable power_stats debugfs node"
	default y
endif # QCA_CLD_WLAN
